ActiveMQJMSServerBundle (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.server

## Interface ActiveMQJMSServerBundle

-     @MessageBundle(projectCode="AMQ")
      public interface ActiveMQJMSServerBundle

  Logger Code 12 each message id must be 6 digits long starting with 10, the 3rd digit should be 9 so 129000 to 129999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSServerBundle` | `BUNDLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActiveMQAddressExistsException` | `cfBindingsExists(String name)`
    `ActiveMQInternalErrorException` | `cfDoesntExist(String name)`
    `ActiveMQIllegalStateException` | `discoveryGroupDoesntExist(String name)`
    `ActiveMQIllegalStateException` | `errorDecodingPassword(Exception e)`
    `ActiveMQIllegalStateException` | `noConnectorNameConfiguredOnCF(String name)`
    `ActiveMQIllegalStateException` | `noConnectorNameOnCF()`

- - ### Field Detail

    - #### BUNDLE

          static final ActiveMQJMSServerBundle BUNDLE

  - ### Method Detail

    - #### cfDoesntExist

          @Message(id=129000,
                   value="Connection Factory {0} does not exist",
                   format=MESSAGE_FORMAT)
          ActiveMQInternalErrorException cfDoesntExist(String name)

    - #### discoveryGroupDoesntExist

          @Message(id=129003,
                   value="Discovery Group \'\'{0}\'\' does not exist on main config",
                   format=MESSAGE_FORMAT)
          ActiveMQIllegalStateException discoveryGroupDoesntExist(String name)

    - #### noConnectorNameOnCF

          @Message(id=129004,
                   value="No Connector name configured on create ConnectionFactory")
          ActiveMQIllegalStateException noConnectorNameOnCF()

    - #### noConnectorNameConfiguredOnCF

          @Message(id=129005,
                   value="Connector \'\'{0}\'\' not found on the main configuration file",
                   format=MESSAGE_FORMAT)
          ActiveMQIllegalStateException noConnectorNameConfiguredOnCF(String name)

    - #### cfBindingsExists

          @Message(id=129006,
                   value="Binding {0} is already being used by another connection factory",
                   format=MESSAGE_FORMAT)
          ActiveMQAddressExistsException cfBindingsExists(String name)

    - #### errorDecodingPassword

          @Message(id=129007,
                   value="Error decoding password using codec instance")
          ActiveMQIllegalStateException errorDecodingPassword(@Cause
                                                                                                                                                 Exception e)

Copyright © 2015. All rights reserved.